POST
/v1/platform/taxonomy-mappings/attributesPOST /v1/platform/taxonomy-mappings/attributes
Scopes: platform:taxonomy_mappings:write
Requires scope: platform:taxonomy_mappings:write.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
attribute_name | string | no | |
display_name | string | no | |
data_type | string | no | |
default_value | string | no | |
tags | string[] | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
attribute_id | string | no | |
attribute_name | string | no | |
display_name | string | no | |
data_type | string | no | |
default_value | string | no | |
sample_value | string | no | |
tags | string[] | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.POST('/v1/platform/taxonomy-mappings/attributes', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);